## zope.testing 6.0

=== docs/requirements.txt ===
Sphinx
repoze.sphinx.autointerface
zope.testing

## zope.testing 3.10.2

=== debian/changelog ===
zope.testing (3.10.2-1build1) precise; urgency=low

  * Rebuild to drop python2.6 dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Dec 2011 08:21:13 +0000

zope.testing (3.10.2-1) unstable; urgency=low

  * Team upload.

  [ Arnaud Fontaine ]
  * Switch to 3.0 (quilt) source format.
  * debian/docs:
    + Add README.txt.
  * debian/control:
    + Rename deprecated XS-Python-Version to X-Python-Version.
    + Add Vcs-Browser and Homepage fields.
    + Rename XS-Vcs-Svn to Vcs-Svn (dpkg supports it).
    + Bump Standards-Version to 3.9.2. No changes needed.
  * debian/copyright:
    + Update to the last revision of DEP5 format.

  [ Brian Sutherland ]
  * New upstream version.
  * Upload fixes dependency on python2.5 (Closes: #623922).
  * Use dh_python2 instead of python-central (Closes: #617180).
  * Add python-all to debian/tests/control as we test against all python
    versions.
  * Specifically depend on python-zope.testrunner, even though upstream
    doesn't, to provide backwards compatibility.

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 18 May 2011 20:04:55 +0900

zope.testing (3.9.4-0ubuntu2) natty; urgency=low

  * debian/rules: do not mess with scripts, install only
    /usr/bin/zope-testrunner using default python.
  * debian/test_helper: adapt to changed name of zope-testrunner, execute it
    with different python interpreters instead.
  * debian/tests/all: use our own test_helper.

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 15 Apr 2011 21:26:53 +0300

zope.testing (3.9.4-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * debian/rules: Build-Depends on python-all, not its -dev variant.
  * debian/copyright: update, convert to dep5 format.

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 14 Sep 2010 15:27:42 +0300

zope.testing (3.8.3-4) unstable; urgency=low

  * Fix test path on python2.6.

 -- Fabio Tranchitella <kobold@debian.org>  Wed, 27 Jan 2010 21:32:19 +0100

zope.testing (3.8.3-3) unstable; urgency=low

  * Convert to debhelper 7 and the pydeb dh7 extension.

 -- Fabio Tranchitella <kobold@debian.org>  Fri, 25 Dec 2009 20:09:13 +0100

zope.testing (3.8.3-2) unstable; urgency=low

  * debian/control: build-depend on pyton-vab.pydeb >= 1.3.0-2.
    (Closes: #552923)

 -- Fabio Tranchitella <kobold@debian.org>  Sun, 08 Nov 2009 11:12:13 +0100

zope.testing (3.8.3-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Sun, 27 Sep 2009 07:31:57 +0200

zope.testing (3.8.2-1) unstable; urgency=low

  [ Matthias Klose ]
  * New upstream version.

  [ Brian Sutherland ]
  * Set priority to optional as we are depended on by python-zodb which is
    priority optional.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 21 Sep 2009 23:58:02 +0200

zope.testing (3.8.1-3) unstable; urgency=low

  * Add a conflict with python-zodb (<< 2.9). LP: #422428.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Sep 2009 22:00:01 +0200

zope.testing (3.8.1-2) unstable; urgency=low

  * Set section to zope.
  * Rebuild against van.pydeb 1.3.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Sep 2009 21:00:47 +0200

zope.testing (3.8.1-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version: 3.8.3, no changes required.
  * debian/rules: fixed FTBFS with Python 2.6. (Closes: #543230)
  * debian/control: added conflict with zope3.

 -- Fabio Tranchitella <kobold@debian.org>  Fri, 28 Aug 2009 10:47:34 +0200

zope.testing (3.7.4-4) unstable; urgency=low

  * Port revision 101026 from upstream: add a zope-testrunner binary.
    http://mail.zope.org/pipermail/checkins/2009-June/035183.html
  * Add a test_helper shell snippet that can be included in testing files
    to ease writing autopkgtest scripts.
    See /usr/share/python-zope.testing/test_helper

 -- Brian Sutherland <brian@vanguardistas.net>  Mon, 15 Jun 2009 05:56:09 +0200

zope.testing (3.7.4-3) unstable; urgency=low

  * Fix test script again: one of the subtleties of grep is that it's exit
    status is 1 if no match is found.

 -- Brian Sutherland <brian@vanguardistas.net>  Wed, 03 Jun 2009 06:42:40 +0200

zope.testing (3.7.4-2) unstable; urgency=low

  * Ignore spurious and not so spurious messages printed in stderr of
    test script

 -- Brian Sutherland <brian@vanguardistas.net>  Tue, 02 Jun 2009 23:00:16 +0200

zope.testing (3.7.4-1) unstable; urgency=low

  * Change source package name.
  * Standards version 3.8.0.
  * Add watch file.
  * Support all python versions.
  * Convert to use python-van.pydeb for dependency generation
  * Expand Description
  * Add copyright

 -- Brian Sutherland <brian@vanguardistas.net>  Mon, 25 May 2009 20:20:46 +0200

python-zope.testing (3.7.0-1.1) lenny; urgency=low

  * Non-maintainer upload.
  * Rebuild for lenny

 -- Brian Sutherland <brian@vanguardistas.net>  Fri, 08 May 2009 11:22:25 +0000

python-zope.testing (3.7.0-1) etch-devel; urgency=low

  * New upstream release

 -- Archive Processor <archive@load.nidelven-it.no>  Mon,  6 Oct 2008 10:41:58 +0000

python-zope.testing (3.5.1-1ubuntu2.1) etch-devel; urgency=low

  * Non-maintainer upload.
  * Rebuild for etch-devel

 -- Brian Sutherland <brian@vanguardistas.net>  Wed, 23 Jul 2008 09:51:10 +0200

python-zope.testing (3.5.1-1ubuntu2) hardy; urgency=low

  * Re-build for hardy

 -- Ignas Mikalajunas <ignas.mikalajunas@gmail.com>  Wed, 23 Apr 2008 11:19:35 +0300

python-zope.testing (3.5.1-1ubuntu1) gutsy; urgency=low

  * Rebuild the package with proper dependencies

 -- Ignas Mikalajunas <ignas.mikalajunas@gmail.com>  Thu, 17 Apr 2008 15:26:03 +0300

python-zope.testing (3.5.1-1) gutsy; urgency=low

  * Inital Release

 -- Brian Sutherland <brian@vanguardistas.net>  Thu,  8 Nov 2007 19:27:48 +0100

=== debian/control ===
Source: zope.testing
Section: zope
Priority: optional
Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
Uploaders: Brian Sutherland <brian@vanguardistas.net>,
           Fabio Tranchitella <kobold@debian.org>,
           Matthias Klose <doko@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
               python-all (>= 2.6.6-3~),
               python-setuptools (>= 0.6b3),
               python-van.pydeb
Standards-Version: 3.9.2
X-Python-Version: >= 2.4
Homepage: http://pypi.python.org/pypi/zope.testing
Vcs-Svn: svn://svn.debian.org/pkg-zope/zope.testing/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-zope/zope.testing/trunk

Package: python-zope.testing
Architecture: all
Depends: python-zope.testrunner,
         ${pydeb:Depends},
         ${python:Depends},
         ${misc:Depends}
Provides: ${pydeb:Provides}, ${python:Provides}
Suggests: ${pydeb:Suggests}
Conflicts: zope3, python-zodb (<< 2.9)
Description: Zope testing framework, including the testrunner script
 This package provides a number of testing frameworks. It includes a flexible
 test runner, and supports both doctest and unittest.

## zope.testing 4.1.2

=== debian/changelog ===
zope.testing (4.1.2-0ubuntu7) trusty; urgency=medium

  * Add python-zope.testrunner dependency as in Debian, to avoid autopkgtest
    failures which assume that dependency.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 10 Feb 2014 10:58:53 +0100

zope.testing (4.1.2-0ubuntu6) saucy; urgency=low

  * Rebuild to test with fixed zope.exceptions.

 -- Gediminas Paulauskas <menesis@pov.lt>  Mon, 15 Jul 2013 22:31:43 +0300

zope.testing (4.1.2-0ubuntu4) saucy; urgency=low

  * debian/rules: fix the command that removes setuptools requirement.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 11 Jul 2013 01:12:00 +0300

zope.testing (4.1.2-0ubuntu2) saucy; urgency=low

  * debian/tests/all-3: fix to install python3-zope.testrunner.
  * debian/rules: remove setuptools from requires.txt of python3 egg.

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 05 Jul 2013 21:50:29 +0300

zope.testing (4.1.2-0ubuntu1) saucy; urgency=low

  * New upstream release
    - Removes the deprecated zope.testing.doctest. (Closes: #555436)
    - Adds Python 3 support.
  * Add python3-zope.testing package.
  * debian/rules: install upstream changelog.
  * debian/docs: README.rst was renamed.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 04 Jul 2013 18:53:32 +0300

zope.testing (3.10.2-1ubuntu2) saucy; urgency=low

  [ Gediminas Paulauskas ]
  * debian/control:
    - enable autopkgtest (Closes: #692694).
    - use canonical URI for Vcs-Svn and Vcs-Browser.
    - bump Standards-Version to 3.9.4
  * Drop the use of python-van.pydeb

  [ Arnaud Fontaine ]
  * debian/source/options: ignore .egg-info directory.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 04 Jul 2013 03:33:30 +0300

=== debian/control ===
Source: zope.testing
Section: zope
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
Uploaders: Brian Sutherland <brian@vanguardistas.net>,
           Fabio Tranchitella <kobold@debian.org>,
           Matthias Klose <doko@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
               python-all (>= 2.6.6-3~),
               python3-all,
               python-setuptools,
               python3-setuptools,
Standards-Version: 3.9.4
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.1
XS-Testsuite: autopkgtest
Homepage: http://pypi.python.org/pypi/zope.testing
Vcs-Svn: svn://anonscm.debian.org/pkg-zope/zope.testing/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-zope/zope.testing/trunk

Package: python-zope.testing
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-zope.testrunner
Description: Zope testing helpers
 This package provides a number of testing frameworks. It includes a flexible
 test runner, and supports both doctest and unittest. 

Package: python3-zope.testing
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Description: Zope testing helpers for Python 3
 This package provides a number of testing frameworks. It includes a flexible
 test runner, and supports both doctest and unittest.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,python3

package=python-zope.testing
package3=python3-zope.testing

override_dh_auto_clean:
	rm -rf build
	find -name __pycache__ | xargs -r rm -rf
	dh_auto_clean

override_dh_auto_build:
	for pyvers in $(shell pyversions -vr); do \
		python$$pyvers setup.py build; \
	done
	for pyvers in $(shell py3versions -sv); do \
		python$$pyvers setup.py build; \
	done

override_dh_auto_install:
	set -x; \
	for pyvers in $(shell pyversions -vr); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/$(package); \
	done
	set -x; \
	for pyvers in $(shell py3versions -vs); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/$(package3); \
	done

override_dh_gencontrol:
	dh_gencontrol
	
	# Workaround for dh_python3 not removing python-setuptools from requires.txt
	find debian/$(package3) -name requires.txt -exec sed -i '/^setuptools$$/d' {} \;

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

=== debian/tests/control ===
Tests: all
Depends: @, python-all, python-zope.testrunner

Tests: all-3
Depends: @, python3-all, python3-zope.testrunner

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/z/zope.testing/zope.testing-(.*)(?:\.tar\.gz|\.zip)

## zope.testing 4.1.3

=== debian/changelog ===
zope.testing (4.1.3-2) unstable; urgency=medium

  * d/tests/control: Update DEP-8 test dependencies.

 -- Barry Warsaw <barry@debian.org>  Mon, 30 Jun 2014 18:07:41 -0400

zope.testing (4.1.3-1) unstable; urgency=low

  * Team upload.

  [ Gediminas Paulauskas ]
  * New upstream release
    - Removes the deprecated zope.testing.doctest. (Closes: #555436)
    - Adds Python 3 support.
  * Add python3-zope.testing package.
  * debian/rules: install upstream changelog.
  * debian/docs: README.rst was renamed.
  * debian/control:
    - enable autopkgtest (Closes: #692694).
    - use canonical URI for Vcs-Svn and Vcs-Browser.
    - bump Standards-Version to 3.9.4
  * Drop the use of python-van.pydeb

  [ Arnaud Fontaine ]
  * debian/source/options: ignore .egg-info directory.

  [ Barry Warsaw ]
  * Bumped version to 4.1.3.
  * d/compat: Bumped to version 9.
  * d/control:
    - Added myself to Uploaders.
    - Updated Build-Depends.
    - Tweaked long descriptions.
    - Bumped Standards-Version to 3.9.5 with no other changes necessary.
  * d/rules:
    - Converted to --buildsystem=pybuild and simplify.
    - Fix override_dh_installchangelogs rule.
  * d/tests/all{,-3}: Updated.
  * d/python-zope.testing.install: Removed; unneccesary.
  * d/test_helper: Removed; unnecessary.

 -- Barry Warsaw <barry@debian.org>  Sun, 22 Jun 2014 17:35:27 -0400

=== debian/control ===
Source: zope.testing
Section: zope
Priority: optional
Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
Uploaders: Brian Sutherland <brian@vanguardistas.net>,
           Fabio Tranchitella <kobold@debian.org>,
           Matthias Klose <doko@ubuntu.com>,
           Barry Warsaw <barry@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python-zope.exceptions,
               python-zope.interface,
               python3-all,
               python3-setuptools,
               python3-zope.exceptions,
               python3-zope.interface
Standards-Version: 3.9.5
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.1
XS-Testsuite: autopkgtest
Homepage: http://pypi.python.org/pypi/zope.testing
Vcs-Svn: svn://anonscm.debian.org/pkg-zope/zope.testing/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-zope/zope.testing/trunk

Package: python-zope.testing
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Zope testing helpers
 This package provides a number of testing frameworks. It includes a flexible
 test runner, and supports both doctest and unittest.
 .
 This is the Python 2 version.

Package: python3-zope.testing
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Provides: ${python3:Provides}
Description: Zope testing helpers for Python 3
 This package provides a number of testing frameworks. It includes a flexible
 test runner, and supports both doctest and unittest.
 .
 This is the Python 3 version.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=zope.testing

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs
	dh_installchangelogs CHANGES.rst

## zope.testing 4.4.1

=== debian/changelog ===
zope.testing (4.4.1-1) unstable; urgency=medium

  * New upstream release.
  * d/patches/lp1467644.patch: Removed; applied upstream.
  * d/copyright: Added a Files-Excluded header to remove __pycache__
    directories containing .pyc files that aren't already automatically
    purged.  See LP: #1484964 for details.

 -- Barry Warsaw <barry@debian.org>  Fri, 14 Aug 2015 10:31:42 -0400

zope.testing (4.2.0-2) unstable; urgency=medium

  * d/patches/lp1467644.patch: Added for Python 3.5 compatibility.

 -- Barry Warsaw <barry@debian.org>  Mon, 22 Jun 2015 20:23:54 -0400

zope.testing (4.2.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Bump Standards-Version with no other changes necessary.
  * d/watch: Use pypi.debian.net redirector

 -- Barry Warsaw <barry@debian.org>  Tue, 09 Jun 2015 17:44:51 -0400

## zope.testing 4.5.0

=== debian/changelog ===
zope.testing (4.5.0-3) unstable; urgency=medium

  * debian/rules:
    - Revert the previous change regarding egg-info removal.
    - Remove the unnecessary override of dh_auto_install.
    - Don't call dh_installchangelogs twice.

 -- Barry Warsaw <barry@debian.org>  Wed, 04 Nov 2015 09:41:27 -0500

zope.testing (4.5.0-2) unstable; urgency=medium

  * d/rules: Be sure to remove any leftover python3.X/dist-packages.

 -- Barry Warsaw <barry@debian.org>  Sat, 10 Oct 2015 18:45:58 -0400

zope.testing (4.5.0-1) unstable; urgency=medium

  * New upstream release.
  * d/copyright: Remove Files-Excluded header after upstream fixed their
    tarball to not include __pycache__ artifacts.

 -- Barry Warsaw <barry@debian.org>  Tue, 22 Sep 2015 11:19:55 -0400

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                python3-setuptools,
                python3-zope.exceptions,
                python3-zope.interface
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.1
 XS-Testsuite: autopkgtest

## zope.testing 4.6.0

=== debian/changelog ===
zope.testing (4.6.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Bump Standards-Version with no other changes needed.

 -- Barry Warsaw <barry@debian.org>  Tue, 25 Oct 2016 18:25:23 -0400

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                python3-setuptools,
                python3-zope.exceptions,
                python3-zope.interface
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.1
 XS-Testsuite: autopkgtest

## zope.testing 4.6.2

=== debian/changelog ===
zope.testing (4.6.2-1) unstable; urgency=medium

  * New upstream release.
  * Add support for Python 3.6.  (Closes: #867777)
  * d/control:
    - Bump to Standards-Version 4.0.0 with no other changes needed.
    - Bump Python versions to >= 2.7 and >= 3.5
    - Remove redundant XS-Testsuite header.

 -- Barry Warsaw <barry@debian.org>  Mon, 10 Jul 2017 21:47:10 -0400

=== debian/control ===
--- 
+++ 
@@ -16,10 +16,9 @@
                python3-setuptools,
                python3-zope.exceptions,
                python3-zope.interface
-Standards-Version: 3.9.8
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.1
-XS-Testsuite: autopkgtest
+Standards-Version: 4.0.0
+X-Python-Version: >= 2.7
+X-Python3-Version: >= 3.5
 Homepage: http://pypi.python.org/pypi/zope.testing
 Vcs-Svn: svn://anonscm.debian.org/pkg-zope/zope.testing/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-zope/zope.testing/trunk

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=zope.testing
#export PYBUILD_VERBOSE=1
#export DH_VERBOSE=1

%:
	dh $@ --with python2,python3 --buildsystem=pybuild


override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

## zope.testing 4.9

=== debian/changelog ===
zope.testing (4.9-1ubuntu1) jammy; urgency=medium

  * Allow output to stderr during autopkgtest to prevent failure due
    to deprecation warnings with Python 3.10

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 09 Feb 2022 14:25:52 +0000

zope.testing (4.9-1) unstable; urgency=medium

  * QA upload.
  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 20 Jan 2021 17:07:29 +0100

zope.testing (4.7-1) unstable; urgency=medium

  * QA upload.
  * New upstream version.
  * Bump standards and debhelper versions.

 -- Matthias Klose <doko@debian.org>  Sun, 22 Nov 2020 16:34:10 +0100

zope.testing (4.6.2-3) unstable; urgency=medium

  * QA upload.
  * Drop Python 2 tests (Closes: #940316)
  * Increase verbosity of Python 3 tests

 -- Paul Gevers <elbrus@debian.org>  Fri, 20 Sep 2019 22:21:00 +0200

zope.testing (4.6.2-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package. Closes: #869471.
  * Stop building the Python2 package: Closes: #938918.
  * Update build dependencies. Closes: #928150.
  * Fix lintian warnings.

 -- Matthias Klose <doko@debian.org>  Thu, 05 Sep 2019 08:52:58 +0200

=== debian/control ===
Source: zope.testing
Section: zope
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all,
               python3-setuptools,
Standards-Version: 4.5.1
Homepage: http://pypi.python.org/pypi/zope.testing

Package: python3-zope.testing
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Provides: ${python3:Provides}
Description: Zope testing helpers for Python 3
 This package provides a number of testing frameworks. It includes a flexible
 test runner, and supports both doctest and unittest.
 .
 This is the Python 3 version.

=== debian/tests/control ===
Tests: all-3
Depends: @, python3-all, python3-zope.testrunner, python3-setuptools
Restrictions: allow-stderr

=== debian/watch ===
version=3
#opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/zope.testing/zope.testing-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## zope.testing 4.10

=== debian/changelog ===
zope.testing (4.10-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Change to debhelper-compat.
  * Bump debhelper to 13.
  * Update homepage, point to GitHub.
  * Declare Rules-requires-Root: no
  * d/copyright:
    - Update copyrighted year for upstream.
    - Update URLs.
  * d/watch:
    - Use secure URL.
    - Bump version to 4.
  * Update Standards-Version to 4.6.0
  * autopkgtest:
    - Add restriction, allow-stderr
    - Change '@' for python3-testing.
    - Test all supported Python versions.
  * Add d/upstream/metadata: Bug-Database, Bug-Submit,
    Repository and Repository-Browse.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Fri, 08 Apr 2022 20:19:08 +0200

=== debian/control ===
Source: zope.testing
Section: zope
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/zopefoundation/zope.testing

Package: python3-zope.testing
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Provides: ${python3:Provides}
Description: Zope testing helpers for Python 3
 This package provides a number of testing frameworks. It includes a flexible
 test runner, and supports both doctest and unittest.
 .
 This is the Python 3 version.

## zope.testing 5.0.1

=== debian/changelog ===
zope.testing (5.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 02 Jan 2023 17:44:43 +0000

zope.testing (4.10-2) unstable; urgency=medium

  * Switch Maintainer to the Debian Python Team (closes: #948816).
  * Policy version 4.6.2.
  * Cherry-pick upstream patch to fix tests on Python 3.11.
  * Run tests using zope.testrunner.

 -- Colin Watson <cjwatson@debian.org>  Wed, 21 Dec 2022 11:42:05 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,18 @@
 Source: zope.testing
 Section: zope
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
-Standards-Version: 4.6.0
+               python3-zope.testrunner,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/zopefoundation/zope.testing
+Vcs-Browser: https://salsa.debian.org/python-team/packages/zope.testing
+Vcs-Git: https://salsa.debian.org/python-team/packages/zope.testing.git
 
 Package: python3-zope.testing
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=zope.testing
export PYBUILD_TEST_CUSTOM=1
export PYBUILD_TEST_ARGS=cd {build_dir}; {interpreter} -m zope.testrunner --test-path . -vv
#export PYBUILD_VERBOSE=1
#export DH_VERBOSE=1

%:
	dh $@ --with python3 --buildsystem=pybuild

# Work around
# https://salsa.debian.org/python-team/tools/dh-python/-/merge_requests/40.
override_dh_auto_test:
	dh_auto_test -- --system=custom

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

=== debian/tests/control ===
Tests: all-3
Depends: python3-all,
         python3-setuptools,
         python3-zope.testrunner,
         python3-zope.testing
Restrictions: allow-stderr

## zope.testing 5.1

=== debian/changelog ===
zope.testing (5.1-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 5.1
  * Use dh-sequence-python3
  * Update Standards-Version to 4.7.0

 -- Alexandre Detiste <tchet@debian.org>  Sun, 16 Feb 2025 12:52:02 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-setuptools,
                python3-zope.testrunner,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/zopefoundation/zope.testing
 Vcs-Browser: https://salsa.debian.org/python-team/packages/zope.testing

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 # Work around
 # https://salsa.debian.org/python-team/tools/dh-python/-/merge_requests/40.

=== debian/watch ===
#opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/zope.testing/zope.testing-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## zope.testing 6.0

=== debian/changelog ===
zope.testing (6.0-2) unstable; urgency=medium

  * Mark python3-zope.testing Multi-Arch: foreign.

 -- Colin Watson <cjwatson@debian.org>  Sun, 21 Sep 2025 00:25:46 +0100

zope.testing (6.0-1) unstable; urgency=medium

  * d/watch: Upgrade to v5.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 15 Sep 2025 13:03:51 +0100

zope.testing (5.1-2) unstable; urgency=medium

  * Drop workaround for fixed dh-python bug.
  * Switch to autopkgtest-pkg-pybuild.
  * Use pybuild-plugin-pyproject.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Mon, 25 Aug 2025 18:38:39 +0100

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,22 @@
 Uploaders: Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-setuptools,
                python3-zope.testrunner,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/zopefoundation/zope.testing
 Vcs-Browser: https://salsa.debian.org/python-team/packages/zope.testing
 Vcs-Git: https://salsa.debian.org/python-team/packages/zope.testing.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-zope.testing
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}
 Provides: ${python3:Provides}
+Multi-Arch: foreign
 Description: Zope testing helpers for Python 3
  This package provides a number of testing frameworks. It includes a flexible
  test runner, and supports both doctest and unittest.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME := zope.testing
export PYBUILD_TEST_CUSTOM := 1
export PYBUILD_TEST_ARGS := \
	PYTHONPATH=. {interpreter} -m zope.testrunner --test-path $(if $(PYBUILD_AUTOPKGTEST),/usr/lib/python3/dist-packages,.) --package zope.testing -vv
#export PYBUILD_VERBOSE=1
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

=== debian/watch ===
Version: 5

Source: https://pypi.debian.net/zope.testing/
Matching-Pattern: zope.testing-@ANY_VERSION@@ARCHIVE_EXT@

## zope.testing 6.1

=== debian/changelog ===
zope.testing (6.1-1) unstable; urgency=medium

  * New upstream release:
    - Add support for Python 3.14 (closes: #1123370).

 -- Colin Watson <cjwatson@debian.org>  Sun, 21 Dec 2025 12:40:32 +0000
